## remmina 0.8.0

=== debian/changelog ===
remmina (0.8.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.0, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 11 Jul 2010 23:40:47 +0200

remmina (0.7.99.1-1) experimental; urgency=low

  * New upstream beta release.
    - Add IPv6 support (Closes: #580456).
  * debian/control:
    - No longer build-depend on libvncserver-dev and libgnutls-dev.
    - Add remmina-dev package to provide development headers.
    - Drop rdesktop from Depends, add most commonly used plugins to
      Recommends, due to new plugin design.
  * debian/copyright:
    - Adjust copyright information, drop older entries.
  * debian/remmina-dev.install:
    - Install remmina-dev files into correct package.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 26 Jun 2010 10:29:52 +0200

remmina (0.7.5-1) unstable; urgency=low

  * New upstream release.
  * Switch to forma 3.0 (quilt).

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 04 May 2010 21:15:46 +0200

remmina (0.7.4-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.4, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 20 Feb 2010 19:12:35 +0100

remmina (0.7.3-1) unstable; urgency=low

  * New upstream release.
    - Allow connecting to a VNC server via SSH tunnel by specifying
      display number instead of TCP port (Closes: #563969).

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 26 Jan 2010 20:17:14 +0100

remmina (0.7.2-1) unstable; urgency=low

  * New upstream release.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 08 Jan 2010 19:26:38 +0100

remmina (0.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 28 Dec 2009 15:48:13 +0100

remmina (0.7.0-2) unstable; urgency=low

  * debian/copyright:
    - Add missing copyright holders.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 16 Dec 2009 20:06:01 +0100

remmina (0.7.0-1) unstable; urgency=low

  * Grdc is now Remmina.
  * New upstream release.
  * debian/patches/desktop_file.patch:
    - Removed, fixed upstream.
  * debian/control:
    - Refresh build-dependencies.
    - Move rdesktop to Depends.
    - Improve long descrription adding new supported protocols.
  * debian/copyright:
    - Adjust copyright informations.
  * debian/rules:
    - Generate po/POTFILES.skip at runtime to avoid generating po files
      for unneeded elements.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 14 Dec 2009 20:24:43 +0100

grdc (0.6.0-2) unstable; urgency=low

  * Add libgcrypt-dev to Build-Depends.
  * Build-depend on libssh-dev instead of libssh-2-dev.
  * Switch to Section: gnome to match override.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 27 Oct 2009 20:14:12 +0100

grdc (0.6.0-1) unstable; urgency=low

  * Initial release (Closes: #537292).

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 25 Aug 2009 23:59:55 +0200
