=== debian/control ===
Source: remmina
Section: gnome
Priority: optional
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Build-Depends: debhelper (>= 7.0.50), intltool (>= 0.35.0), libglib2.0-dev (>= 2.20.0), libgtk2.0-dev (>= 2.16.0), libssh-dev (>= 0.4), libavahi-ui-dev (>= 0.6.22), libvte-dev (>= 0.12.0), libgcrypt11-dev (>= 1.4.0), libunique-dev
Standards-Version: 3.9.0
Homepage: http://remmina.sourceforge.net/
Vcs-Git: git://git.debian.org/git/users/dktrkranz/remmina.git
Vcs-Browser: http://git.debian.org/?p=users/dktrkranz/remmina.git;a=summary

Package: remmina
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: remmina-plugin-rdp, remmina-plugin-vnc
Description: remote desktop client for GNOME desktop environment
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 It supports multiple network protocols in an integrated and consistant user
 interface. Currently RDP, VNC, NX, XDMCP and SSH protocols are supported.

Package: remmina-dev
Architecture: all
Depends: ${misc:Depends}, remmina (>= ${source:Version}), remmina (<< ${source:Version}.1~)
Description: remote desktop client (development headers)
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the Remmina plugin development headers.

Package: grdc
Architecture: all
Depends: remmina, ${misc:Depends}
Description: transitional dummy package for remmina
 This is a dummy package to ease transition to new package name remmina.
 .
 It can be safely removed from your system.
