## remmina 0.8.3

=== debian/changelog ===
remmina (0.8.3-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 26 Oct 2010 22:40:18 +0200

remmina (0.8.2-1) unstable; urgency=low

  * New upstream bugfix release.
    - Fix segfault which prevented display of a warning when a saved
      connection requires a missing plugin (Closes: #590540).

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 01 Sep 2010 22:11:34 +0200

remmina (0.8.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/control:
    - Bump Standards-Version to 3.9.1, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 31 Jul 2010 13:05:22 +0200
