=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Luca Falavigna <dktrkranz@debian.org>
 Build-Depends: debhelper (>= 7.0.50), intltool (>= 0.35.0), libglib2.0-dev (>= 2.20.0), libgtk2.0-dev (>= 2.16.0), libssh-dev (>= 0.4), libavahi-ui-dev (>= 0.6.22), libvte-dev (>= 0.12.0), libgcrypt11-dev (>= 1.4.0), libunique-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://remmina.sourceforge.net/
 Vcs-Git: git://git.debian.org/git/users/dktrkranz/remmina.git
 Vcs-Browser: http://git.debian.org/?p=users/dktrkranz/remmina.git;a=summary
