=== debian/watch ===
version=3
http://sf.net/remmina/remmina-([0-9\.]+)\.tar\.gz
