## remmina 0.9.3

=== debian/changelog ===
remmina (0.9.3-2) unstable; urgency=low

  * Upload to unstable.
  * debian/copyright:
    - Update copyright years.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 06 Feb 2011 19:05:31 +0100

remmina (0.9.3-1) experimental; urgency=low

  * New upstream bugfix release.
  * debian/control:
    - Add Breaks: remmina-plugin-data (<= 0.9) field to make sure plugins
      are compatible with current version (Closes: #610443).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 22 Jan 2011 14:36:56 +0100

remmina (0.9.2-1) experimental; urgency=low

  * New upstream bugfix release.
  * debian/control:
    - Remove transitional grdc package, now obsolete.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 28 Dec 2010 12:05:08 +0100

remmina (0.9.0-1) experimental; urgency=low

  * New upstream release.
    - Quick connect menu removed and consolidated with Connection -> New;
      other Edit menu items moved under Connection menu (Closes: #591755).
    - New resolution button to easily adjust or add screen resolutions
      without passing for Preferences dialog (Closes: #595102).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 12 Dec 2010 18:35:18 +0100
