=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: remmina-plugin-rdp, remmina-plugin-vnc
+Breaks: remmina-plugin-data (<= 0.9)
 Description: remote desktop client for GNOME desktop environment
  Remmina is a remote desktop connection client able to display and control a
  remote desktop session.
@@ -28,11 +29,3 @@
  .
  This package contains the Remmina plugin development headers.
 
-Package: grdc
-Architecture: all
-Depends: remmina, ${misc:Depends}
-Description: transitional dummy package for remmina
- This is a dummy package to ease transition to new package name remmina.
- .
- It can be safely removed from your system.
-
