=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_clean:
	dh_clean po/POTFILES.skip

override_dh_auto_build:
	echo "libvncserver/libvncclient/minilzo.c" > po/POTFILES.skip
	dh_auto_build
