## remmina 1.0.0

=== debian/changelog ===
remmina (1.0.0-6ubuntu1) utopic; urgency=medium

  * Merge with Debian, remaining Ubuntu changes: (LP: #1358770)
  * debian/control:
    - Build-depend on libappindicator3-dev, intltool
    - Add Breaks and Replaces from remmina to remmina-common as the .desktop
      file has moved across.
  * debian/rules:
    - Build with libappindicator
    - Call intltool-update on build
  * debian/patches/indicator_set_title.patch:
    - Set a title so the unity-hud doesn't list as "untitled"
  * debian/patches/translations.patch,
    - Make translatable
  * debian/patches/keywords.patch:
    - Set keywords in desktop file to make searchable
  * debian/patches/unity_launcher_list.patch:
    - Add quick lists for the unity launcher

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 02 Sep 2014 10:35:23 +1200

remmina (1.0.0-6) unstable; urgency=low

  * Upload to unstable.
  * debian/patches/missing_libraries.patch:
    - Add missing libraries to target_link_libraries to fix FTBFS,
      thanks to Daniel T. Chen for the patch (Closes: #713470).
  * debian/remmina-plugin-*.lintian-overrides:
    - Removed lintian overrides, not needed anymore.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 23 Jun 2013 14:48:57 +0200

remmina (1.0.0-5) experimental; urgency=low

  [ Luca Falavigna ]
  * debian/patches/NO_SONAME.patch:
    - Do not define any SONAME for the plugins.
  * debian/control:
    - Fix URL of Vcs-Browser field.
    - Bump Standards-Version to 3.9.4.
    - Fix typo in package description.
  * debian/copyright:
    - Adjust copyright years.
  * debian/docs:
    - Install README.
  * debian/remmina-plugin-{nx,vnc}.lintian-overrides:
    - hardening-check discovers unprotected functions only.
  * debian/rules:
    - Pass "-Wl,--as-needed" to LDFLAGS.
    - Install upstream changelog.
    - Overriding dh_makeshlibs is no longer required.

  [ Jonathan McCrohan ]
  * debian/watch:
    - Update watchfile to fix Github breakage (Closes: #693515).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 02 Feb 2013 01:06:23 +0100

remmina (1.0.0-4+deb7u1) unstable; urgency=low

  [ Bernhard Schmidt ]
  * Cherry-pick commit 9243d35 from upstream Git repository to fix a
    crash when resizing window to fit remote resolution (Closes: #668020).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 17 Mar 2013 14:37:39 +0100

remmina (1.0.0-4ubuntu3) saucy; urgency=low

  * debian/patches/keywords.patch: update remmina.desktop as well,
    the file is not updated during the build (lp: #1024480)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 15 Jul 2013 16:27:18 +0200

remmina (1.0.0-4ubuntu2) raring; urgency=low

  * Added missing libs to link, fixing FTBFS (LP: #1163798).

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 03 Apr 2013 12:12:04 -0400

remmina (1.0.0-4ubuntu1) raring; urgency=low

  [ Alex Chiang ]
  * Merge from Debian unstable.
    - Dropped in favor of upstream debian's patches:
      . install_desktop_file.patch => desktop_file.patch
      . scroll_smooth.patch => scroll.patch
      . trayicon_option.patch => systray.patch
  * Remaining changes:
    - debian/patches/indicator_set_title.patch:
      . set a title so the unity-hud doesn't list as "untitled" (lp: #943434)
    - debian/patches/translations.patch,
      debian/rules:
      . improve translation support, add a .desktop.in, update potfiles.in
        lists, call intltool-update on build (lp: #943279)
    - debian/patches/keywords.patch:
      . backport upstream patch to set keywords in the desktop entry, 
        it makes easier to find remmina in the unity dash or gnome-shell
        (lp: #1024480)
    - debian/patches/unity_launcher_list.patch: unity launcher list support
      thanks Nekhelesh Ramananthan (lp: #938026)

  [ Iain Lane ]
  * Add Breaks and Replaces from remmina to remmina-common as the .desktop
    file has moved across.

 -- Alex Chiang <achiang@canonical.com>  Thu, 17 Jan 2013 16:31:24 +0000

remmina (1.0.0-4) unstable; urgency=low

  [ Martijn van Brummelen ]
  * debian/patches/clipboard.patch:
    - Clipboard support (Closes: #659755).

  [ Luca Falavigna ]
  * debian/patches/fullname.patch:
    - Use X-GNOME-FullName in .desktop file (Closes: #625939).
  * debian/patches/scroll.patch:
    - Fix some issues with scrolling (Closes: #670535).
  * debian/patches/systray.patch:
    - Implement --icon/-i option (Closes: #661893).
  * debian/control:
    - Add dbus-x11 to remmina Depends field (Closes: #668018).
    - Add Jean-Louis to Uploaders field.
    - Move VCS repository under collab-maint.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 24 May 2012 22:37:09 +0200

remmina (1.0.0-3) unstable; urgency=low

  * debian/patches/desktop_file.patch:
    - Fix installation path of the desktop file.
  * debian/rules:
    - Check for existence of remmina-common directory before trying
      to access it, fix FTBFS.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 25 Feb 2012 10:16:51 +0100

remmina (1.0.0-2) unstable; urgency=low

  * debian/patches/desktop_file.patch:
    - Restore installation of the .desktop file (Closes: #659542).
  * debian/patches/toolbar.patch:
    - Mark main toolbar as a primary toolbar (Closes: #659781).
  * debian/patches/datadir.patch:
    - Adjust location of REMMINA_DATADIR to allow install of icons
      in the correct location.
  * debian/control:
    - Improve description of the remmina-plugin-gnome package.
    - Bump Standards-Version to 3.9.3.
  * debian/copyright:
    - Format now points to copyright-format site.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 25 Feb 2012 01:21:41 +0100

remmina (1.0.0-1ubuntu8) quantal; urgency=low

  * debian/patches/09_keywords.patch:
    - backport upstream patch to set keywords in the desktop entry, 
      it makes easier to find remmina in the unity dash or gnome-shell
      (lp: #1024480)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 27 Jul 2012 16:57:29 +0200

remmina (1.0.0-1ubuntu6.1) precise-proposed; urgency=low


