=== debian/watch ===
version=3
https://github.com/FreeRDP/Remmina/tags .*/(\d[\d\.]+)\.tar\.gz
